// aplicacion.controller.js

// Cargamos el schema del modelo de datos para poder usarlo dentro de la lógica del controlador
// y así poder añadir, borrar, etc. sobre productos.
const Producto = require('../models/productos.model');

// Prueba a una ruta /pruebapug pasándole un nombre a template1.
exports.aplicacion_pruebapug = function (req, res) {
    res.render("template1",{"nombre":"Rafa"});
};


exports.productos_altas_frm = function (req, res) {
    res.render("productos_altas_frm",{"titulo":"Alta de Productos"});
};


exports.productos_bajas_frm = function (req, res) {
    // Hacemos la búsqueda de los productos en el controlador y le pasaremos la lista de productos a la vista.
    // Véase: https://mongoosejs.com/docs/api.html#model_Model.find
    var query= Producto.find({},null,{sort:{nombre:1}},function(err,docs)
    {
        res.render("productos_bajas_frm",{"titulo":"Baja de Productos","datos":docs});
    });
};


exports.productos_modificaciones_frm = function (req, res) {
    // Hacemos la búsqueda de los productos en el controlador y le pasaremos la lista de productos a la vista.
    // Véase: https://mongoosejs.com/docs/api.html#model_Model.find
    var query= Producto.find({},null,{sort:{nombre:1}},function(err,docs)
    {
        res.render("productos_modificaciones_frm",{"titulo":"Modificación de Productos","datos":docs});
    });
};

exports.productos_consultas_frm = function (req, res) {
    // Hacemos la búsqueda de los productos en el controlador y le pasaremos la lista de productos a la vista.
    // Véase: https://mongoosejs.com/docs/api.html#model_Model.find
    var query= Producto.find({},null,{sort:{nombre:1}},function(err,docs)
    {
        // console.log(docs);
        res.render("productos_consultas_frm",{"titulo":"Búsqueda de Productos","datos":docs});
    });
};


// Página de Inicio a la aplicación /:
exports.productos_inicio = function (req, res) {
    res.render("productos_inicio",{"titulo":"Gestión de Productos con Node.js y MongoDB"});
};
