$(function()
{
    $("#formulario").submit(function(evento)
    {
        evento.preventDefault();

        var texto_busqueda = $("#formulario #busqueda").val();

        // Limpiamos el div de resultados.
        $("#resultado").html('').removeClass("alert alert-danger alert-success");

        // Petición AJAX a la API.
        $.ajax({
            url: "/api/v1/productos/?busqueda="+texto_busqueda,
            type: 'GET',
            success: function(datos,textStatus,request) {
                if (request.status==200)
                {
                    var cadena='Se han encontrado <strong>'+datos.total+'</strong> productos conteniendo el texto: <strong>'+texto_busqueda+'</strong></br></br>';

                    for (i=0;i<datos.total;i++)
                    {
                        cadena+= "<li> Producto: <b>" +datos.data[i].nombre+ "</b> al precio de: <b>"+datos.data[i].precio+" €</b>.</li>";
                    }

                    $("#resultado").html('').hide().addClass("alert alert-success").attr("role","alert").html(cadena).fadeIn(1000);
                }
            },
            error: function (xhr,ajaxOptions,error)
            {
                if (xhr.status==404)
                {
                    $("#resultado").html('').hide().addClass("alert alert-danger").attr("role","alert").html('No se ha encontrado ningún producto con ese texto!').fadeIn(1000).delay(1000).fadeOut(1000);
                }
            }
        });
    });

});
